Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Key Life Cycle Management APIs

Viewing the List of Bulk Jobs

search

Please Note:

Viewing the List of Bulk Jobs

Use the get /v1/cckm/aws/bulkjob API to view the list of available bulk jobs. The results can be filtered using the query parameters.

Syntax

curl -k '<IP>/api/v1/cckm/aws/bulkjob' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameter

ParameterTypeDescription
AUTHTOKENstringAuthorization token.

Request Query Parameters

ParameterTypeDescription
idstringResource ID of the bulk job.
overall_statusstringOverall status of the bulk job.
cloudstringName of the AWS cloud.
skipintegerNumber of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limitintegerNumbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter ) will be displayed in the output.
sortstringComma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/aws/bulkjob/e612b64f-6364-48ce-92ec-c6dd608d7ad0' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJjNWMwZGJlNC1lMmJmLTQ3M2MtODY4MC01NWVkMWIzMDEzMmEiLCJzdWIiOiJsb2NhbHxhNjdjMzc0OC05YTRiLTRhZGQtYjNkOS0wNTRiYTIwYmUzYWMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMDhkNDI5ZjktNDgzYi00ODdlLWJjOTQtNGE1Mjc2ZDI2ZjZjIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImU5YWUwYTI3LWVlYjQtNGNhZi04YjE4LTdhNzIzMDBkOTA0MCIsImlhdCI6MTYwNDU1ODEzOCwiZXhwIjoxNjA0NTU4NDM4fQ.MIMArFeC4cpPNTYOd39mu6_-yihdN0CDl_917eH8-kY' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "e612b64f-6364-48ce-92ec-c6dd608d7ad0",
            "uri": "kylo:kylo:cckm:bulkjob:e612b64f-6364-48ce-92ec-c6dd608d7ad0",
            "account": "kylo:kylo:admin:accounts:kylo",
            "createdAt": "2023-02-10T08:19:48.558869Z",
            "updatedAt": "2023-02-10T08:19:48.970377Z",
            "completed_at": "2023-02-10T08:19:48.970204Z",
            "overall_status": "completed",
            "detailed_status": {
                "2387500d-bcac-4055-a48d-19592c3332ff": "Success",
                "2387500d-bcac-4055-a48d-19592c3332fg": "Success"
            },
            "abort": false,
            "cloud": "aws",
            "keys": [
                "2387500d-bcac-4055-a48d-19592c3332ff",
                "2387500d-bcac-4055-a48d-19592c3332fg"
            ],
            "operation": "enablekey"
        }
    ]
}

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.